language: c
matrix:
    include:
        - name: Linux (gcc)
          os: linux
          compiler: gcc
          addons:
            apt:
                packages:
                - libevent-dev
        - name: Linux (clang)
          os: linux
          compiler: clang
          addons:
            apt:
                packages:
                - libevent-dev
        - name: macOS
          os: osx
sudo: false
before_install:
    - sudo add-apt-repository -y ppa:longsleep/golang-backports
    - sudo apt-get update
    - sudo apt-get install golang-go
before_script:
    - git clone https://boringssl.googlesource.com/boringssl
    - cd boringssl
    # This is so that both GQUIC and IETF branches build.  Just picking
    # a known good revision:
    - git checkout 49de1fc2910524c888866c7e2b0db1ba8af2a530
    - cmake .
    - make
    - cd -
    - git submodule init
    - git submodule update
    - cmake -DBORINGSSL_DIR=$PWD/boringssl .
script:
    # Now build lsquic-client
    - make
    - make test
